Browse Source

skk 11.6.0-2: add files

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@1697 ec354946-7b23-47d6-9f5a-488ba84defc7
iwaim 13 years ago
parent
commit
881fd89531

+ 11 - 0
s/skk/ddskk-11.4-tut.patch

@@ -0,0 +1,11 @@
+--- ddskk-11.4/skk-vars.el.orig	Tue Dec 19 00:36:26 2000
++++ ddskk-11.4/skk-vars.el	Wed Dec 12 13:45:04 2001
+@@ -1879,7 +1879,7 @@
+   (cond ((eq skk-emacs-type 'xemacs)
+ 	 (locate-data-file "SKK.tut"))
+ 	(t
+-	 "/usr/local/share/skk/SKK.tut"))
++	 "/usr/share/skk/SKK.tut"))
+   "*SKK $B%A%e!<%H%j%"%k$N%U%!%$%kL>!#(B
+ The English version is SKK.tut.E."
+   :type 'file

+ 46 - 0
s/skk/ddskk-11.6.0-make.patch

@@ -0,0 +1,46 @@
+--- ddskk-11.6.0/SKK-MK.orig	Sun Dec 16 12:56:34 2001
++++ ddskk-11.6.0/SKK-MK	Thu Dec 27 10:52:03 2001
+@@ -794,8 +794,8 @@
+       (make-directory PACKAGE_LISPDIR t))
+     (unless (file-exists-p PACKAGE_DATADIR)
+       (make-directory PACKAGE_DATADIR t))
+-    (unless (file-exists-p PACKAGE_INFODIR)
+-      (make-directory PACKAGE_INFODIR t))
++;;    (unless (file-exists-p PACKAGE_INFODIR)
++;;      (make-directory PACKAGE_INFODIR t))
+     ;; delete already installed unnecessary files.
+     (setq SKK_MODULES (delq 'skk-autoloads
+ 			    (append
+@@ -895,19 +895,19 @@
+     ;; install skk-setup.el
+     (install-elisp-modules (list 'skk-setup) "." PACKAGE_LISPDIR)
+     ;; install infos.
+-    (SKK-MK-compile-info)
+-    (when SKK_INFO
+-      (let ((files (list SKK_INFO))
+-	    (i 1)
+-	    file)
+-	(while (file-exists-p
+-		(expand-file-name
+-		 (setq file (format "%s-%d" SKK_INFO i))
+-		 DOCDIR))
+-	  (setq files (cons file files))
+-	  (setq i (1+ i)))
+-	(install-files (nreverse files) DOCDIR
+-		       PACKAGE_INFODIR nil t nil)))
++;;    (SKK-MK-compile-info)
++;;    (when SKK_INFO
++;;      (let ((files (list SKK_INFO))
++;;	    (i 1)
++;;	    file)
++;;	(while (file-exists-p
++;;		(expand-file-name
++;;		 (setq file (format "%s-%d" SKK_INFO i))
++;;		 DOCDIR))
++;;	  (setq files (cons file files))
++;;	  (setq i (1+ i)))
++;;	(install-files (nreverse files) DOCDIR
++;;		       PACKAGE_INFODIR nil t nil)))
+     ;; install tutorials.
+     (install-files SKK_TUTORIALS ETCDIR
+ 		   PACKAGE_DATADIR nil t nil)

+ 10 - 0
s/skk/ddskk-info.patch

@@ -0,0 +1,10 @@
+--- ddskk-11.6.0/doc/skk.texi.orig	Sun Dec 16 20:01:55 2001
++++ ddskk-11.6.0/doc/skk.texi	Mon Feb 11 17:23:13 2002
+@@ -16,7 +16,6 @@
+ @set UPDATED $Date: 2001/12/16 11:01:55 $
+ 
+ @dircategory Emacs
+-@dircategory GNU Emacs Lisp
+ @direntry
+ * SKK: (skk).           Simple Kana to Kanji conversion program.
+ @end direntry

+ 16 - 0
s/skk/skk-init.el

@@ -0,0 +1,16 @@
+;;
+;; skk-init.el
+;;
+;; 	for Vine Linux with emacsen-common
+;; 	Munehiro Yamamoto <munepi@cg8.so-net.ne.jp>
+
+(defcustom vine-default-skk t
+  "A boolean for vine-default-skk"
+  :type 'boolean)
+
+(add-hook 'vine-default-setup-hook
+	  (lambda()
+	    (if vine-default-skk
+		(require 'vine-default-skk))))
+
+;;; end of file

+ 124 - 0
s/skk/skk-install.sh

@@ -0,0 +1,124 @@
+#! /bin/sh -e
+#  /usr/lib/emacsen-common/packages/install/skk
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="skk"
+VERSION=11.4
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+PACKAGEDIR=/usr/share/${FLAVOR}
+EMACSTUTDIR=/usr/share/skk
+XEMACSTUTDIR=/usr/share/${FLAVOR}/etc/${PACKAGE}
+NICOLAELCDIR=/usr/share/${FLAVOR}/site-lisp/nicola-ddskk
+
+EFLAGS="-batch -q -l SKK-MK"
+COMPILE="-batch -q -f batch-byte-compile"
+
+STAMP=${ELCDIR}/compile-stamp
+
+case "${FLAVOR}" in
+	emacs)
+	;;
+
+	*)
+
+	  if [ ! -d ${EMACSTUTDIR} ] ; then
+	    echo " exited."
+	    echo "W: Please install \`skkdic' package for ${FLAVOR}." ;
+	    exit 0;
+	  fi
+
+	  echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+
+	  case "${FLAVOR}" in
+	       xemacs-*)
+		 if [ -f /usr/lib/xemacs/mule-packages/lisp/skk/skk.elc ]; then
+		   exit
+		 fi
+	       ;;
+
+	       *)
+	       ;;
+	  esac
+
+	  if [ -e ${STAMP} ]; then
+	    if [ "${VERSION}" = "`cat ${STAMP}`" ]; then
+	      echo " exited. (already compiled)" 
+	      exit
+	    fi
+	  fi
+
+	  rm -rf ${ELCDIR}
+	  install -m 755 -d ${ELCDIR}
+	  rm -rf ${NICOLAELCDIR}
+	  install -m 755 -d ${NICOLAELCDIR}
+
+	  # Copy the temp .el files
+	  # cp ${ELDIR}/* ${ELCDIR}/
+
+	  # Byte compile them
+	  ( cd ${ELDIR}
+
+	    case "${FLAVOR}" in
+		 xemacs-*)
+		   rm -rf ${XEMACSTUTDIR}
+		   make XEMACS=${FLAVOR} package > ${ELCDIR}/CompilationLog 2>&1
+		   make XEMACS=${FLAVOR} PACKAGE_LISPDIR=${ELCDIR} \
+		        PACKAGE_DATADIR=${XEMACSTUTDIR} install-package \
+			  >> ${ELCDIR}/CompilationLog 2>&1
+		   ( cd nicola
+		     make XEMACS=${FLAVOR} package >> ${ELCDIR}/CompilationLog 2>&1
+		     make XEMACS=${FLAVOR} PACKAGEDIR=${PACKAGEDIR} install-package \
+			    >> ${ELCDIR}/CompilationLog 2>&1
+		   )
+		 ;;
+
+		 *)
+		   rm -f ${EMACSTUTDIR}/*.tut*
+		   make EMACS=${FLAVOR} elc > ${ELCDIR}/CompilationLog 2>&1
+		   make EMACS=${FLAVOR} SKK_LISPDIR=${ELCDIR} \
+		        SKK_DATADIR=${EMACSTUTDIR} install-elc \
+			  >> ${ELCDIR}/CompilationLog 2>&1
+		   ( cd nicola
+		     make EMACS=${FLAVOR} LISPDIR=${NICOLAELCDIR} install-elc \
+			    >> ${ELCDIR}/CompilationLog 2>&1
+		   )
+	         ;;
+	    esac
+
+	    make clean >> ${ELCDIR}/CompilationLog 2>&1
+	    rm -fv ${NICOLAELCDIR}/*.el >> ${ELCDIR}/CompilationLog 2>&1
+	    ( cd nicola
+	      make clean >> ${ELCDIR}/CompilationLog 2>&1
+	    )
+	  )
+
+	  gzip -9 ${ELCDIR}/CompilationLog
+	  echo ${VERSION} > ${STAMP}
+
+	  install -p -m644 ${ELDIR}/vine-default-${PACKAGE}.el ${ELCDIR}
+	  cp -f ${ELDIR}/${STARTFILE} ${STARTDIR}/70${STARTFILE};
+	  echo " done."
+	;;
+esac
+
+exit 0;

+ 55 - 0
s/skk/skk-remove.sh

@@ -0,0 +1,55 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/skk
+# [ This particular script hasn't been tested either, so be careful. ]
+set -e
+
+FLAVOR=$1
+PACKAGE="skk"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+EMACSTUTDIR=/usr/share/skk
+XEMACSTUTDIR=/usr/share/${FLAVOR}/etc/${PACKAGE}
+NICOLAELCDIR=/usr/share/${FLAVOR}/site-lisp/nicola-ddskk
+
+case "${FLAVOR}" in
+	emacs)
+	;;
+
+	xemacs-*)
+	if [ -d ${ELCDIR} ]; then
+	  echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	  rm -rf ${ELCDIR}
+	  rm -rf ${NICOLAELCDIR}
+	  rm -rf ${XEMACSTUTDIR}
+	  echo " done."
+	fi
+	;;
+
+	*)
+	if [ -d ${ELCDIR} ]; then
+	  echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	  rm -rf ${ELCDIR}
+	  rm -rf ${NICOLAELCDIR}
+	  rm -f ${EMACSTUTDIR}/*.tut*
+	  echo " done."
+	fi
+	;;
+esac
+	rm -f ${STARTDIR}/70${STARTFILE}*;
+
+exit 0;

+ 55 - 0
s/skk/vine-default-skk.el

@@ -0,0 +1,55 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;  -*- coding: utf-8-unix -*-
+;;  FSF Emacs 23 用 Vine Linux SKK 設定
+;;    Munehiro Yamamoto <munepi@cg8.so-net.ne.jp>
+;;	$Id: vine-default-skk.el,v 1.1 2009/04/23 00:02:56 munepi Exp $	
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;; SKK-9.6m 
+;;   Mule 上の仮名漢字変換システム SKK の設定
+;;   C-x t でチュートリアルが起動します
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;;;;;;;;;; 使用する辞書の設定 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;;; SKK-JISYO.L をメモリ上に読み込んで利用する場合
+(setq skk-large-jisyo "/usr/share/skk/SKK-JISYO.L")
+
+;;; SKK-JISYO.M をメモリ上に読み込み、
+;;; 見付からない場合は skkserv を起動して SKK-JISYO.L から検索する場合
+;;; (skkexdic パッケージが必要です)
+;;(setq skk-large-jisyo "/usr/share/skk/SKK-JISYO.M")
+;;(setq skk-aux-large-jisyo "/usr/share/skk/SKK-JISYO.L")
+;;(setq skk-server-portnum 1178)
+;;(setq skk-server-host "localhost")
+;;(setq skk-server-prog "/usr/libexec/skkserv")
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(global-set-key "\C-x\C-j" 'skk-mode)
+(global-set-key "\C-xj" 'skk-auto-fill-mode)
+(global-set-key "\C-xt" 'skk-tutorial)
+(autoload 'skk-mode "skk" nil t)
+(autoload 'skk-auto-fill-mode "skk" nil t)
+(autoload 'skk-tutorial "skk-tut" nil t)
+(autoload 'skk-isearch-mode-setup "skk-isearch" nil t)
+(autoload 'skk-isearch-mode-cleanup "skk-isearch" nil t)
+(add-hook 'isearch-mode-hook
+	  (function (lambda ()
+		      (and (boundp 'skk-mode) skk-mode
+			   (skk-isearch-mode-setup) ))))
+(add-hook 'isearch-mode-end-hook
+	  (function (lambda ()
+		      (and (boundp 'skk-mode) skk-mode
+			   (skk-isearch-mode-cleanup)
+			   (skk-set-cursor-color-properly) ))))
+
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(provide 'vine-default-skk)
+
+;; Local Variables:
+;; mode: emacs-lisp
+;; End: